BdbService (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService

- java.lang.Object
- - com.sleepycat.thrift.BdbService

-     @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class BdbService
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BdbService.AsyncClient`
    `static interface` | `BdbService.AsyncIface`
    `static class` | `BdbService.AsyncProcessor<I extends BdbService.AsyncIface>`
    `static class` | `BdbService.beginTransaction_args`
    `static class` | `BdbService.beginTransaction_result`
    `static class` | `BdbService.checkpoint_args`
    `static class` | `BdbService.checkpoint_result`
    `static class` | `BdbService.Client`
    `static class` | `BdbService.closeCursorHandle_args`
    `static class` | `BdbService.closeCursorHandle_result`
    `static class` | `BdbService.closeDatabaseHandle_args`
    `static class` | `BdbService.closeDatabaseHandle_result`
    `static class` | `BdbService.closeDatabaseHandles_args`
    `static class` | `BdbService.closeDatabaseHandles_result`
    `static class` | `BdbService.closeEnvironmentHandle_args`
    `static class` | `BdbService.closeEnvironmentHandle_result`
    `static class` | `BdbService.closeEnvironmentHandles_args`
    `static class` | `BdbService.closeEnvironmentHandles_result`
    `static class` | `BdbService.closeJoinCursorHandle_args`
    `static class` | `BdbService.closeJoinCursorHandle_result`
    `static class` | `BdbService.closeSequenceHandle_args`
    `static class` | `BdbService.closeSequenceHandle_result`
    `static class` | `BdbService.cursorCompare_args`
    `static class` | `BdbService.cursorCompare_result`
    `static class` | `BdbService.cursorCount_args`
    `static class` | `BdbService.cursorCount_result`
    `static class` | `BdbService.cursorDelete_args`
    `static class` | `BdbService.cursorDelete_result`
    `static class` | `BdbService.cursorDup_args`
    `static class` | `BdbService.cursorDup_result`
    `static class` | `BdbService.cursorGet_args`
    `static class` | `BdbService.cursorGet_result`
    `static class` | `BdbService.cursorGetWithPKey_args`
    `static class` | `BdbService.cursorGetWithPKey_result`
    `static class` | `BdbService.cursorPut_args`
    `static class` | `BdbService.cursorPut_result`
    `static class` | `BdbService.dbCompact_args`
    `static class` | `BdbService.dbCompact_result`
    `static class` | `BdbService.dbDelete_args`
    `static class` | `BdbService.dbDelete_result`
    `static class` | `BdbService.dbGet_args`
    `static class` | `BdbService.dbGet_result`
    `static class` | `BdbService.dbGetWithPKey_args`
    `static class` | `BdbService.dbGetWithPKey_result`
    `static class` | `BdbService.dbKeyExists_args`
    `static class` | `BdbService.dbKeyExists_result`
    `static class` | `BdbService.dbKeyRange_args`
    `static class` | `BdbService.dbKeyRange_result`
    `static class` | `BdbService.dbPut_args`
    `static class` | `BdbService.dbPut_result`
    `static class` | `BdbService.dbTruncate_args`
    `static class` | `BdbService.dbTruncate_result`
    `static class` | `BdbService.deleteEnvironmentAndDatabases_args`
    `static class` | `BdbService.deleteEnvironmentAndDatabases_result`
    `static class` | `BdbService.getBdbVersion_args`
    `static class` | `BdbService.getBdbVersion_result`
    `static class` | `BdbService.getCursorCachePriority_args`
    `static class` | `BdbService.getCursorCachePriority_result`
    `static class` | `BdbService.getCursorConfig_args`
    `static class` | `BdbService.getCursorConfig_result`
    `static class` | `BdbService.getDatabaseConfig_args`
    `static class` | `BdbService.getDatabaseConfig_result`
    `static class` | `BdbService.getDatabaseStatistics_args`
    `static class` | `BdbService.getDatabaseStatistics_result`
    `static class` | `BdbService.getEnvironmentConfig_args`
    `static class` | `BdbService.getEnvironmentConfig_result`
    `static class` | `BdbService.getEnvStatistics_args`
    `static class` | `BdbService.getEnvStatistics_result`
    `static interface` | `BdbService.Iface` *********************** Service Definitions * ***********************
    `static class` | `BdbService.isProtocolVersionSupported_args`
    `static class` | `BdbService.isProtocolVersionSupported_result`
    `static class` | `BdbService.joinCursorGet_args`
    `static class` | `BdbService.joinCursorGet_result`
    `static class` | `BdbService.openCursor_args`
    `static class` | `BdbService.openCursor_result`
    `static class` | `BdbService.openDatabase_args`
    `static class` | `BdbService.openDatabase_result`
    `static class` | `BdbService.openEnvironment_args`
    `static class` | `BdbService.openEnvironment_result`
    `static class` | `BdbService.openJoinCursor_args`
    `static class` | `BdbService.openJoinCursor_result`
    `static class` | `BdbService.openSecondaryDatabase_args`
    `static class` | `BdbService.openSecondaryDatabase_result`
    `static class` | `BdbService.openSequence_args`
    `static class` | `BdbService.openSequence_result`
    `static class` | `BdbService.ping_args`
    `static class` | `BdbService.ping_result`
    `static class` | `BdbService.Processor<I extends BdbService.Iface>`
    `static class` | `BdbService.removeDatabase_args`
    `static class` | `BdbService.removeDatabase_result`
    `static class` | `BdbService.removeSequence_args`
    `static class` | `BdbService.removeSequence_result`
    `static class` | `BdbService.renameDatabase_args`
    `static class` | `BdbService.renameDatabase_result`
    `static class` | `BdbService.sequenceGet_args`
    `static class` | `BdbService.sequenceGet_result`
    `static class` | `BdbService.setCursorCachePriority_args`
    `static class` | `BdbService.setCursorCachePriority_result`
    `static class` | `BdbService.setDatabaseConfig_args`
    `static class` | `BdbService.setDatabaseConfig_result`
    `static class` | `BdbService.setEnvironmentConfig_args`
    `static class` | `BdbService.setEnvironmentConfig_result`
    `static class` | `BdbService.shutdown_args`
    `static class` | `BdbService.txnAbort_args`
    `static class` | `BdbService.txnAbort_result`
    `static class` | `BdbService.txnCommit_args`
    `static class` | `BdbService.txnCommit_result`
    `static class` | `BdbService.txnGetPriority_args`
    `static class` | `BdbService.txnGetPriority_result`
    `static class` | `BdbService.txnSetPriority_args`
    `static class` | `BdbService.txnSetPriority_result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BdbService()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BdbService

          public BdbService()

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.